Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[KDE] probleme au lancement (RESOLU)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
bashful
Tux's lil' helper
Tux's lil' helper


Joined: 08 May 2006
Posts: 94

PostPosted: Wed Jun 10, 2009 8:16 pm    Post subject: [KDE] probleme au lancement (RESOLU) Reply with quote

Bonjour,

Je viens juste de réinstaller ma gentoo.
Je me suis apercu que le paquet "kde-base/kdebase" n'etait plus mis à jour à premiere vu car il reste à la version 3.5.9 meme en instable, alors que kdelibs est passé à la version 3.5.10 en stable.
J'ai donc lu sur le site officiel comment installer kde.
Et j'ai installer le paquet "kde-base/kdebase-meta" car je cherche une version légere de kde.
Et là quand je lance mon "startx" habituel kde ne se lance pas :

Kbuildsycoca : ERROR : applications.menu not found in (/home/user/.config/menus)
Kbuildsycoca : WARNING : 'kcertpart.desktop' specifies undefined minetype/servicetype 'application/binary-certificate'
Kbuildsycoca : WARNING : 'katepart.desktop' specifies undefined minetype/servicetype 'text/x-fortran'
Kbuildsycoca : WARNING : 'knotify.desktop' specifies undefined minetype/servicetype 'KNotify'

une idée ?


Last edited by bashful on Thu Jun 11, 2009 12:59 pm; edited 3 times in total
Back to top
View user's profile Send private message
kernelsensei
Bodhisattva
Bodhisattva


Joined: 22 Feb 2004
Posts: 5619
Location: Woustviller/Moselle/FRANCE (49.07°N;7.02°E)

PostPosted: Wed Jun 10, 2009 8:31 pm    Post subject: Reply with quote

Salut,

pourrais tu mettre ton titre en conformité stp ?

Concernant ton problème, ton utilisateur s'appelle vraiment user ? Parce qu'il a l'air de chercher des fichiers de conf dans ce home.

T'avais déjà des fichiers de conf existants dans le home ? Si oui t'as essayé en les virant ?

La compil de tous les éléments de KDE s'est bien passée ?
_________________
$ ruby -e'puts " .:@BFegiklnorst".unpack("x4ax7aaX6ax5aX15ax4aax6aaX7ax2aX5aX8 \
axaX3ax8aX4ax6aX3aX6ax3ax3aX9ax4ax2aX9axaX6ax3aX2ax4ax3aX4aXaX12ax10aaX7a").join'
Back to top
View user's profile Send private message
bashful
Tux's lil' helper
Tux's lil' helper


Joined: 08 May 2006
Posts: 94

PostPosted: Wed Jun 10, 2009 8:36 pm    Post subject: Reply with quote

Mon utilisateur s'appelle bien "user", la première fois que j'ai eu ce message là j'ai viré tout ce qu'il y avait dans mon home, toutes les configurations KDE et autres, donc il n'y avait plus rien dans mon home. J'ai relancé KDE et il y a eu le même message d'erreur...

Sinon la compilation de KDE s'est faite sans problèmes, j'ai pas eu de message d'erreur.

Comment installes-tu KDE ?
Back to top
View user's profile Send private message
El_Goretto
Moderator
Moderator


Joined: 29 May 2004
Posts: 3098
Location: Paris

PostPosted: Wed Jun 10, 2009 8:37 pm    Post subject: Reply with quote

Qu'appelles-tu une réinstallation? Avec formatage et tout? Tu as préservé ton home?
Parce que dans ce dernier cas (apparenté à un upgrade puisque tu as des préférences de l'ancienne version), il faut déplacer/supprimer /home/user/.config/menus.
Moi ça m'a repeuplé le menu K qui avait été vidé.
_________________
-Gentoo hardened [EoL]: µ-serv Gen8 G1610T, 8Go ECC ; NF9D-2700, 4Go
-FreeBSD 11/Vimage/Jails: DS61, i3 2100T, 16Go ; FreeNAS: µ-serv N40L, 8Go ECC
-Réseau: ERL-3 + ESL-24 + GS108Tv2
-NAS: RN312
Back to top
View user's profile Send private message
bashful
Tux's lil' helper
Tux's lil' helper


Joined: 08 May 2006
Posts: 94

PostPosted: Wed Jun 10, 2009 8:39 pm    Post subject: Reply with quote

Effectivement j'ai tout formaté et gardé mon home, mais dans le home de mon utilisateur j'ai tout effacé, tous les fichiers de configuration, kde et autres. Et j'ai toujours le même message d'erreur...

Comment installes-tu kde ?
Back to top
View user's profile Send private message
bashful
Tux's lil' helper
Tux's lil' helper


Joined: 08 May 2006
Posts: 94

PostPosted: Wed Jun 10, 2009 9:16 pm    Post subject: Reply with quote

J'ai juste quelques questions à poser aux utilisateurs de KDE pour que je puisse résoudre ce problème :

- comment avez-vous installé kde ?
- Est ce la version stable ?
- Si oui quelle est la version ?
- Pouvez vous me donner la liste des paquets kde-base/* de votre installation ?

Merci pour vos réponses.
Back to top
View user's profile Send private message
novazur
Guru
Guru


Joined: 19 Mar 2005
Posts: 461
Location: Martinique

PostPosted: Thu Jun 11, 2009 4:40 am    Post subject: Reply with quote

Personnellement, je n'installe pas kde, mais j'installe des applis kde.
Voici les applis kde-base installées sur mon poste :
Code:
$ grep kde-base/ /var/lib/portage/world
kde-base/cervisia
kde-base/kde-i18n
kde-base/kdebase-startkde
kde-base/kdm
kde-base/kompare
kde-base/konsole
kde-base/quanta

mais bon, ce ne sont sans doute pas les seules applis kde que j'ai installées, puisque par exemple, j'ai aussi net-wireless/kdebluetooth qui n'est pas dans kde-base/

qui ont généré ceci avec les dépendances :
Code:
$ equery l kde-base/
[ Searching for all packages in 'kde-base' among: ]
 * installed packages
[I--] [  ] kde-base/automoc-0.9.88 (0)
[I--] [  ] kde-base/cervisia-3.5.10 (3.5)
[I--] [  ] kde-base/kcheckpass-3.5.10 (3.5)
[I--] [  ] kde-base/kcminit-3.5.10 (3.5)
[I--] [  ] kde-base/kcontrol-3.5.10 (3.5)
[I--] [  ] kde-base/kde-i18n-3.5.10 (3.5)
[I--] [  ] kde-base/kdebase-data-3.5.10 (3.5)
[I--] [  ] kde-base/kdebase-kioslaves-3.5.10-r1 (3.5)
[I--] [  ] kde-base/kdebase-pam-7 (0)
[I--] [  ] kde-base/kdebase-startkde-3.5.10-r5 (3.5)
[I--] [  ] kde-base/kdelibs-3.5.10-r6 (3.5)
[I--] [  ] kde-base/kdepasswd-3.5.10 (3.5)
[I--] [  ] kde-base/kdesktop-3.5.10 (3.5)
[I--] [  ] kde-base/kdesu-3.5.10 (3.5)
[I--] [  ] kde-base/kdialog-3.5.10 (3.5)
[I--] [  ] kde-base/kdm-3.5.10 (3.5)
[I--] [  ] kde-base/kfind-3.5.10 (3.5)
[I--] [  ] kde-base/khelpcenter-3.5.10 (3.5)
[I--] [  ] kde-base/khotkeys-3.5.10 (3.5)
[I--] [  ] kde-base/kicker-3.5.10-r1 (3.5)
[I--] [  ] kde-base/kmenuedit-3.5.10 (3.5)
[I--] [  ] kde-base/kompare-3.5.10 (3.5)
[I--] [  ] kde-base/konqueror-3.5.10 (3.5)
[I--] [  ] kde-base/konsole-3.5.10 (3.5)
[I--] [  ] kde-base/kpersonalizer-3.5.10 (3.5)
[I--] [  ] kde-base/kreadconfig-3.5.10 (3.5)
[I--] [  ] kde-base/ksmserver-3.5.10 (3.5)
[I--] [  ] kde-base/ksplashml-3.5.10 (3.5)
[I--] [  ] kde-base/kwin-3.5.10 (3.5)
[I--] [  ] kde-base/libkonq-3.5.10 (3.5)
[I--] [  ] kde-base/quanta-3.5.10 (3.5)

Concernant la version, je me contente très généralement des versions stables des softs, sauf cas particuliers (besoin spécifiques d'une option particulière, ou bug, ou encore version qui ne compile pas avec le compilateur stable comme virtualbox par ex).
Back to top
View user's profile Send private message
bashful
Tux's lil' helper
Tux's lil' helper


Joined: 08 May 2006
Posts: 94

PostPosted: Thu Jun 11, 2009 9:41 am    Post subject: Reply with quote

Le problème peut venir des "USE" que j'utilise pour compiler kde comme par exemple "kdehiddenvisibility".
Back to top
View user's profile Send private message
bashful
Tux's lil' helper
Tux's lil' helper


Joined: 08 May 2006
Posts: 94

PostPosted: Thu Jun 11, 2009 12:57 pm    Post subject: Reply with quote

Bon ben j'ai fait le ménage par le vide partout où il y avait des fichiers de config graphique : "/tmp", "/var/tmp/", "/home/user/".

Et maintenant kde se lance.

Mais j'ai toujours ces messages :

Kbuildsycoca : WARNING : 'kcertpart.desktop' specifies undefined minetype/servicetype 'application/binary-certificate'
Kbuildsycoca : WARNING : 'katepart.desktop' specifies undefined minetype/servicetype 'text/x-fortran'
Kbuildsycoca : WARNING : 'knotify.desktop' specifies undefined minetype/servicetype 'KNotify'

une idée ?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum